Форум русскоязычного сообщества Ubuntu


Увидели сообщение с непонятной ссылкой, спам, непристойность или оскорбление?
Воспользуйтесь ссылкой «Сообщить модератору» рядом с сообщением!

Автор Тема: Рекомендации установки пакетов и *-dev  (Прочитано 1872 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн BorisPlus

  • Автор темы
  • Активист
  • *
  • Сообщений: 253
  • Болты вперед,болты назад,такой работе я очень рад!
    • Просмотр профиля
Написано в статье  "установить пакеты libxml и libxslt"

Интуитивно делаю
sudo apt-get install libxml2
sudo apt-get install libxslt1
Первый поставился, а вот о втором пишется, что мол есть такой пакет, но он не указан ни в одном из репозиториев соурлисте.
Возник вопрос: а где libxslt1 искать?

А вот пакет libxslt1-dev можно поставить, но только вместе с  libxml2-dev и zlib1g-dev.
Второй вопрос: dev пакеты - это нестабильные, но более новые - типа "девелоперские"? Могут они полностью в таком случае заменить не  dev пакеты?

Третий вопрос: как удалить именно libxml2, а то
sudo apt-get remove libxml2тянет за собой еще много пакетов для удаления, хотя с ними и не ставился?
Спасибо за помощь, товарищи!


Оффлайн aliftin

  • Старожил
  • *
  • Сообщений: 1398
    • Просмотр профиля
Re: Рекомендации установки пакетов и *-dev
« Ответ #2 : 24 Апрель 2010, 00:44:40 »
dev-версии пакетов необходимы для сборщиков/разработчиков ПО. Если хотите что то собрать, то необходимо поставить dev-версию указанного пакета.
Если мы не можем до чего то дотянуться, мы виним в этом не свой рост, не отсутствие табуретки, а свою цель.

Оффлайн BorisPlus

  • Автор темы
  • Активист
  • *
  • Сообщений: 253
  • Болты вперед,болты назад,такой работе я очень рад!
    • Просмотр профиля
Re: Рекомендации установки пакетов и *-dev
« Ответ #3 : 25 Апрель 2010, 22:40:47 »
отлично, понял про deb - они нужны только при компиляции из исходников! спасиб

а как все ж libxslt1 поставить я не понял? только из исходника собрать?
Спасибо за помощь, товарищи!

Оффлайн aliftin

  • Старожил
  • *
  • Сообщений: 1398
    • Просмотр профиля
Re: Рекомендации установки пакетов и *-dev
« Ответ #4 : 25 Апрель 2010, 23:10:54 »
Для сборки чего вам нужна эта библиотека? Может вы просто не так читаете вывод "configure"? У меня этот пакет в статусе "installed", а значит он точно есть в репах. Так же есть его dev-версия, странно что вы не можете его поставить.
aliftin@r2d2:~$ sudo aptitude search libxslt
p   libxml-libxslt-perl             - Perl module for using the GNOME libxslt li
v   libxslt-dev                     -                                           
p   libxslt-ruby                    - Ruby interface to libxslt                 
p   libxslt-ruby1.8                 - Ruby interface to libxslt                 
p   libxslt1-dbg                    - XSLT processing library - debugging symbol
p   libxslt1-dev                    - XSLT processing library - development kit
iB  libxslt1.1                      - XSLT processing library - runtime library
p   libxsltc-java                   - XSL Transformations (XSLT) compiler from X
p   libxsltc-java-gcj               - XSL Transformations (XSLT) compiler from X
p   python-libxslt1                 - Python bindings for libxslt1             
p   python-libxslt1-dbg             - Python bindings for libxslt1 (debug extens
v   python2.5-libxslt1              -                                           
v   python2.6-libxslt1              - 
Если мы не можем до чего то дотянуться, мы виним в этом не свой рост, не отсутствие табуретки, а свою цель.

Оффлайн BorisPlus

  • Автор темы
  • Активист
  • *
  • Сообщений: 253
  • Болты вперед,болты назад,такой работе я очень рад!
    • Просмотр профиля
Re: Рекомендации установки пакетов и *-dev
« Ответ #5 : 26 Апрель 2010, 20:55:54 »
"О сколько нам откытий чудных..."
Спасибо! Поставилось libxslt1.1 из репозитория.
Да просто в руководстве к одной веб оболочке написано - "Установить libxslt", вот я и понял все буквально, а про 1.1 не задумывался, а о aptitude search и не знал вовсе (стыдно мне, стыдно). Спасибо aliftin  еще раз.
« Последнее редактирование: 26 Апрель 2010, 21:01:56 от BorisPlus »
Спасибо за помощь, товарищи!

Оффлайн aliftin

  • Старожил
  • *
  • Сообщений: 1398
    • Просмотр профиля
Re: Рекомендации установки пакетов и *-dev
« Ответ #6 : 26 Апрель 2010, 21:41:40 »
Двойной tab при установке пакетов помогает не хуже search.
Если мы не можем до чего то дотянуться, мы виним в этом не свой рост, не отсутствие табуретки, а свою цель.

Оффлайн BorisPlus

  • Автор темы
  • Активист
  • *
  • Сообщений: 253
  • Болты вперед,болты назад,такой работе я очень рад!
    • Просмотр профиля
Re: Рекомендации установки пакетов и *-dev
« Ответ #7 : 27 Апрель 2010, 20:44:49 »
да) таб - штука мощная)))
Спасибо за помощь, товарищи!

 

Страница сгенерирована за 0.054 секунд. Запросов: 22.